## org.ascape.model.space
Class BFSWithinIterator

    java.lang.Object
      org.ascape.model.space.BFSWithinIterator

All Implemented Interfaces:
  java.util.Iterator

Direct Known Subclasses:
  BFSWithinIterator2DSmallWorld

    public class BFSWithinIterator

extends java.lang.Object
implements java.util.Iterator

User: milesparker Date: Aug 11, 2005 Time: 4:10:17 PM To change this template use File | Settings | File Templates.

Constructor Summary
`BFSWithinIterator(Discrete space, Location origin, Conditional condition, boolean includeSelf, double distance)` Instantiates a new BFS within iterator.

Method Summary
`int` `getDepth()` Gets the depth.
`protected int` `getInternalDepth()` Gets the internal depth.
`Location` `getOrigin()` Gets the origin.
`java.util.Iterator` `getSearchIterator()` Gets the search iterator.
`Discrete` `getSpace()` Gets the space.
`protected java.util.Collection` `getVisited()` Gets the visited.
`boolean` `hasNext()`
`protected void` `initialize()` Initialize.
`void` `loadNext()` Load next.
`java.lang.Object` `next()`
`java.util.Iterator` `nextDepth()` Next depth.
`void` `remove()`
`protected void` `setDepth(int depth)` Sets the depth.
`protected void` `setLastDepth(int lastDepth)` Sets the last depth.
`void` `setSearchIterator(java.util.Iterator searchIterator)` Sets the search iterator.
`void` `visit(Node candidate)` Visit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BFSWithinIterator

    public BFSWithinIterator(Discrete space,
                             Location origin,
                             Conditional condition,
                             boolean includeSelf,
                             double distance)

  Instantiates a new BFS within iterator.

  Parameters:
    `space` - the space
    `origin` - the origin
    `condition` - the condition
    `includeSelf` - the include self
    `distance` - the distance

Method Detail

### initialize

    protected void initialize()

  Initialize.

### loadNext

    public void loadNext()

  Load next.

### visit

    public void visit(Node candidate)

  Visit.

  Parameters:
    `candidate` - the candidate

### nextDepth

    public java.util.Iterator nextDepth()

  Next depth.

  Returns:
    the iterator

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### getSpace

    public Discrete getSpace()

  Gets the space.

  Returns:
    the space

### getDepth

    public int getDepth()

  Gets the depth.

  Returns:
    the depth

### getInternalDepth

    protected int getInternalDepth()

  Gets the internal depth.

  Returns:
    the internal depth

### setDepth

    protected void setDepth(int depth)

  Sets the depth.

  Parameters:
    `depth` - the new depth

### setLastDepth

    protected void setLastDepth(int lastDepth)

  Sets the last depth.

  Parameters:
    `lastDepth` - the new last depth

### getOrigin

    public Location getOrigin()

  Gets the origin.

  Returns:
    the origin

### getVisited

    protected java.util.Collection getVisited()

  Gets the visited.

  Returns:
    the visited

### getSearchIterator

    public java.util.Iterator getSearchIterator()

  Gets the search iterator.

  Returns:
    the search iterator

### setSearchIterator

    public void setSearchIterator(java.util.Iterator searchIterator)

  Sets the search iterator.

  Parameters:
    `searchIterator` - the new search iterator

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`